namespace Sedge.Core.Configuration
{
	public class Step
	{
		private readonly string _name;
		public string Name
		{
			get { return _name; }
		}

		private readonly string _assembly;
		public string Assembly
		{
			get { return _assembly; }
		}

		private readonly Options _options;
		public Options Options
		{
			get { return _options; }
		}

		public Step(string name, string assembly, Options options)
		{
			_name = name;
			_assembly = assembly;
			_options = options;
		}
	}
}