using System.IO;

namespace Sedge.Core.FileSystemWrap
{
	class DirectoryInfoWrap : IDirectoryInfoWrap
	{
		private readonly DirectoryInfo _directoryInfo;

		public DirectoryInfoWrap(DirectoryInfo directoryInfo)
		{
			_directoryInfo = directoryInfo;
		}

		public string FullName
		{
			get
			{
				return _directoryInfo.FullName;
			}
		}

		public string Name
		{
			get
			{
				return _directoryInfo.Name;
			}
		}

		public IDirectoryInfoWrap Parent
		{
			get
			{
				return new DirectoryInfoWrap(_directoryInfo.Parent);
			}
		}
	}
}