using System.IO;

namespace Sedge.Core.FileSystemWrap
{
	class FileWrap : IFileWrap
	{
		public void Copy(string sourceFileName, string destFileName)
		{
			File.Copy(sourceFileName, destFileName);
		}

		public void Delete(string path)
		{
			File.Delete(path);
		}

		public bool Exists(string path)
		{
			return File.Exists(path);
		}

		public string ReadAllText(string path)
		{
			return File.ReadAllText(path);
		}

		public void WriteAllText(string path, string contents)
		{
			File.WriteAllText(path, contents);
		}

		public IFileInfoWrap GetFileInfo(string path)
		{
			return new FileInfoWrap(new FileInfo(path));
		}
	}
}