using System;
using System.Windows.Forms;
using Sedge.Core.Globalization;
using Sedge.Core.Utils;

namespace Sedge
{
	public class Communications : ICommunications
	{
		public void InformUser(string message, string caption)
		{
			MessageBox.Show(message, caption);
		}

		public void Error(string message)
		{
			MessageBox.Show(message, Locale.Strings.MsgError, 
									MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		public bool Question(string message, string caption)
		{
			return MessageBox.Show(message, caption,
									MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes;
		}
	}
}