namespace Sedge.Core.Configuration
{
	public enum FileType
	{
		File, UserFile, Image
	}

	public class RegisteredFileInfo
	{
		public FileType FileType { get; set; }
		public string OriginalPath { get; set; }
		public string NewPath { get; set; }
		public bool Valid { get; set; }

		public RegisteredFileInfo(FileType fileType, string originalPath)
		{
			FileType = fileType;
			OriginalPath = originalPath;
		}
	}
}