using System.IO;

namespace Sedge.Core.FileSystemWrap
{
    public interface IDirectoryWrap
    {
        IDirectoryInfoWrap CreateDirectory(string path);
        void Delete(string path);
        bool Exists(string path);
        string[] GetDirectories(string path);
        IDirectoryInfoWrap GetDirectoryInfo(string path);
        string[] GetFiles(string path);
        string[] GetFiles(string path, string searchPattern);
        string[] GetFiles(string path, string searchPattern, SearchOption searchOption);
        IDirectoryInfoWrap GetParent(string path);
    }
}