namespace Sedge.Core.FileSystemWrap
{
	public interface IFileWrap
	{
		void Copy(string sourceFileName, string destFileName);
		void Delete(string path);
		bool Exists(string path);
		string ReadAllText(string path);
		void WriteAllText(string path, string contents);
		IFileInfoWrap GetFileInfo(string path);
	}
}