using Sedge.Core.FileSystemWrap;
using Sedge.Core.Utils;

namespace Sedge.Core
{
	public class Services
	{
		public static string StartupFolder { get; set; }

		public static ICommunications Communications { get; set; }
		public static IViewManager ViewManager { get; set; }

		private static IFileSystem _fileSystem;
		public static IFileSystem FileSystem
		{
			get
			{
				if (_fileSystem == null)
					_fileSystem = new FileSystem();
				return _fileSystem;
			}
			set { _fileSystem = value; }
		}
	}
}