using System.Collections.Generic;
using System.Windows.Forms;
using Sedge.Core.Configuration;
using Sedge.Core.Execution;
using Sedge.UI.View;
using Sedge.UI.ViewModel;

namespace Sedge.UI.Controller
{
	public class MasterController : IMasterController
	{
		public void Show(Suite suite, List<IStepController> stepControllers)
		{
			Application.Run( new MasterForm( new MasterViewModel(suite, stepControllers)) );
		}
	}
}